{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "ABS_NUMERO"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "ABS_ORDRE"; }; 
            name = absNumero; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = COMMENTAIRE; 
            externalType = VARCHAR2; 
            name = commentaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2000; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_SEQ_ARR_ANNUL"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = ""; }; 
            name = congeAnnulOrdre; 
            precision = 10; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "NO_SEQ_ARRETE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = ""; }; 
            name = congeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ANNULATION"; 
            externalType = DATE; 
            name = dAnnulation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_COM_MED_CLM"; 
            externalType = DATE; 
            name = dComMedClm; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_COM_MED_CLM_SUP"; 
            externalType = DATE; 
            name = dComMedClmSup; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ARRETE_CLM"; 
            externalType = DATE; 
            name = dateArrete; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_DEB_CLM"; 
            externalType = DATE; 
            name = dateDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_CLM"; 
            externalType = DATE; 
            name = dateFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARRETE_CLM"; 
            externalType = VARCHAR2; 
            name = noArrete; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARRETE_ANNULATION"; 
            externalType = VARCHAR2; 
            name = noArreteAnnulation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "NO_DOSSIER_PERS"; 
            externalType = NUMBER; 
            name = noDossierPers; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TEM_CONFIRME"; 
            externalType = VARCHAR2; 
            name = temConfirme; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_EN_CAUSE"; 
            externalType = VARCHAR2; 
            name = temEnCause; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_GEST_ETAB"; 
            externalType = VARCHAR2; 
            name = temGestEtab; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_PROLONG_CLM"; 
            externalType = VARCHAR2; 
            name = temProlongClm; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_REQUALIF_CLM"; 
            externalType = VARCHAR2; 
            name = temRequalifClm; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_VALIDE"; 
            externalType = VARCHAR2; 
            name = temValide; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (
        noDossierPers, 
        noArrete, 
        temRequalifClm, 
        temProlongClm, 
        congeOrdre, 
        absNumero, 
        noArreteAnnulation, 
        temConfirme, 
        temGestEtab, 
        congeAnnulOrdre, 
        temEnCause, 
        commentaire, 
        temValide
    ); 
    className = "org.cocktail.mangue.modele.mangue.conges.EOClm"; 
    classProperties = (
        noArrete, 
        dateArrete, 
        dateDebut, 
        dateFin, 
        dComMedClm, 
        temRequalifClm, 
        temProlongClm, 
        dCreation, 
        dModification, 
        individu, 
        absence, 
        dAnnulation, 
        noArreteAnnulation, 
        temConfirme, 
        temGestEtab, 
        congeDeRemplacement, 
        dComMedClmSup, 
        temEnCause, 
        commentaire, 
        temValide
    ); 
    externalName = "MANGUE.CLM"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            dComMedClm, 
            temRequalifClm, 
            temProlongClm, 
            individu, 
            dateArrete, 
            dateDebut, 
            dateFin, 
            noArrete, 
            absence, 
            dAnnulation, 
            noArreteAnnulation, 
            temConfirme, 
            temGestEtab, 
            congeDeRemplacement, 
            dComMedClmSup, 
            temEnCause, 
            commentaire, 
            dCreation, 
            dModification, 
            temValide
        ); 
    }; 
    name = Clm; 
    primaryKeyAttributes = (congeOrdre); 
    relationships = (
        {
            destination = Absences; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = absNumero; sourceAttribute = absNumero; }); 
            name = absence; 
        }, 
        {
            destination = Clm; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = congeOrdre; sourceAttribute = congeAnnulOrdre; }); 
            name = congeDeRemplacement; 
        }, 
        {
            destination = IndividuUlr; 
            internalInfo = {"_nameInObjectStore" = individu; }; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noDossierPers; }); 
            name = individu; 
        }
    ); 
}
